package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFER6 extends MwfRequest<MWFER6, MWFER6Response> {

    @Parameter(name = "APP_KEY")
    MWFER6 appKey(Long appKey);
    @Parameter(name = "DOC_INST_KEY")
    MWFER6 docInstKey(Long docInstKey);
    @Parameter(name = "EMP_PROCESS_ROLE_ID")
    MWFER6 empProcessRoleId(String empProcessRoleId);
    @Parameter(name = "EMP_ROLE_ID")
    MWFER6 empRoleId(String empRoleId);
    @Parameter(name = "EMP_SSO")
    MWFER6 empSso(String empSso);
}
